aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xscripts/bitbake-prserv-tool9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/bitbake-prserv-tool b/scripts/bitbake-prserv-tool
index 28c2416bfe0..dcfd7f27335 100755
--- a/scripts/bitbake-prserv-tool
+++ b/scripts/bitbake-prserv-tool
@@ -86,6 +86,15 @@ do_migrate_localcount ()
[ $# -eq 0 ] && help && exit 1
+case $2 in
+*.conf)
+ ;;
+*)
+ echo ERROR: $2 must end with .conf!
+ exit 1
+ ;;
+esac
+
case $1 in
export)
do_export $2